net.sf.jasperreports.engine.export.draw

## Class ElementDrawer<T extends JRPrintElement>

- java.lang.Object
- - net.sf.jasperreports.engine.export.draw.ElementDrawer<T>

- Type Parameters:
    `T` - the type of the element that the drawer supports
  Direct Known Subclasses:
    BoxDrawer, EllipseDrawer, FrameDrawer, ImageDrawer, LineDrawer, RectangleDrawer, TextDrawer

      public abstract class ElementDrawer<T extends JRPrintElement>
      extends java.lang.Object

  Version:
    $Id: ElementDrawer.java 6657 2013-10-31 09:12:42Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementDrawer()` Deprecated. Replaced by `ElementDrawer(JasperReportsContext)`.
    `ElementDrawer(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `draw(java.awt.Graphics2D grx, T element, int offsetX, int offsetY)`
    `protected void` | `drawBottomPen(java.awt.Graphics2D grx, JRPen leftPen, JRPen bottomPen, JRPen rightPen, JRPrintElement element, int offsetX, int offsetY)`
    `protected void` | `drawBox(java.awt.Graphics2D grx, JRLineBox box, JRPrintElement element, int offsetX, int offsetY)`
    `protected void` | `drawLeftPen(java.awt.Graphics2D grx, JRPen topPen, JRPen leftPen, JRPen bottomPen, JRPrintElement element, int offsetX, int offsetY)`
    `protected void` | `drawPen(java.awt.Graphics2D grx, JRPen pen, JRPrintElement element, int offsetX, int offsetY)`
    `protected void` | `drawRightPen(java.awt.Graphics2D grx, JRPen topPen, JRPen bottomPen, JRPen rightPen, JRPrintElement element, int offsetX, int offsetY)`
    `protected void` | `drawTopPen(java.awt.Graphics2D grx, JRPen topPen, JRPen leftPen, JRPen rightPen, JRPrintElement element, int offsetX, int offsetY)`
    `JasperReportsContext` | `getJasperReportsContext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementDrawer

          public ElementDrawer()

      Deprecated. Replaced by `ElementDrawer(JasperReportsContext)`.

    - #### ElementDrawer

          public ElementDrawer(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

    - #### draw

          public abstract void draw(java.awt.Graphics2D grx,
                  T element,
                  int offsetX,
                  int offsetY)
                             throws JRException

      Throws:
        `JRException`

    - #### drawBox

          protected void drawBox(java.awt.Graphics2D grx,
                     JRLineBox box,
                     JRPrintElement element,
                     int offsetX,
                     int offsetY)

    - #### drawPen

          protected void drawPen(java.awt.Graphics2D grx,
                     JRPen pen,
                     JRPrintElement element,
                     int offsetX,
                     int offsetY)

    - #### drawTopPen

          protected void drawTopPen(java.awt.Graphics2D grx,
                        JRPen topPen,
                        JRPen leftPen,
                        JRPen rightPen,
                        JRPrintElement element,
                        int offsetX,
                        int offsetY)

    - #### drawLeftPen

          protected void drawLeftPen(java.awt.Graphics2D grx,
                         JRPen topPen,
                         JRPen leftPen,
                         JRPen bottomPen,
                         JRPrintElement element,
                         int offsetX,
                         int offsetY)

    - #### drawBottomPen

          protected void drawBottomPen(java.awt.Graphics2D grx,
                           JRPen leftPen,
                           JRPen bottomPen,
                           JRPen rightPen,
                           JRPrintElement element,
                           int offsetX,
                           int offsetY)

    - #### drawRightPen

          protected void drawRightPen(java.awt.Graphics2D grx,
                          JRPen topPen,
                          JRPen bottomPen,
                          JRPen rightPen,
                          JRPrintElement element,
                          int offsetX,
                          int offsetY)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com